Strength¶
11 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/strength/ashtakavarga |
POST |
Ashtakavarga (8-fold Points) | |
/api/v1/strength/bhav-bala |
POST |
Bhav Bala (House Strength) | |
/api/v1/strength/chesta-bala |
POST |
Chesta Bala (Motional Strength) | |
/api/v1/strength/digbala |
POST |
Dig Bala (Directional Strength) | |
/api/v1/strength/dignity |
POST |
Planetary Dignity | |
/api/v1/strength/final-strength |
POST |
Final Planetary Strength (Classical Formula) | |
/api/v1/strength/ishta-kashta |
POST |
Ishta-Kashta Phala | |
/api/v1/strength/sarvashtakavarga |
POST |
Sarvashtakavarga (SAV) | |
/api/v1/strength/shadbala |
POST |
Shadbala (6-fold Strength) | |
/api/v1/strength/shadbala-bphs |
POST |
Classical Shadbala (6-fold Strength) | |
/api/v1/strength/vimsopaka |
POST |
Vimsopaka Bala |
POST /api/v1/strength/ashtakavarga¶
Ashtakavarga (8-fold Points)
Calculate Bhinna Ashtakavarga (BAV) for each planet using REAL data.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/ashtakavarga' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/bhav-bala¶
Bhav Bala (House Strength)
Calculate Bhav Bala using REAL chart data.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/bhav-bala' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/chesta-bala¶
Chesta Bala (Motional Strength)
Calculate Chesta Bala using REAL retrograde data.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/chesta-bala' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/digbala¶
Dig Bala (Directional Strength)
Calculate Dig Bala using REAL chart positions.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/digbala' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/dignity¶
Planetary Dignity
Calculate planetary dignity for all planets. Based on classical relationship rules.
Dignity types: Exalted (100), Moolatrikona (90), Own Sign (80), Friend (60), Neutral (50), Enemy (30), Debilitated (5)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/dignity' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/final-strength¶
Final Planetary Strength (Classical Formula)
Calculate final strength using Classical Vedic formula: FINAL = (Shadbala x 60%) + (Dignity x 25%) + (Position x 15%)
- Shadbala: Normalized to 0-100% based on required minimums
- Dignity: Based on sign placement (Exalted=100, Debilitated=5)
- Position: Bhava Madhya distance (warning indicator only)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/final-strength' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/ishta-kashta¶
Ishta-Kashta Phala
Calculate Ishta Phala and Kashta Phala using REAL data.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/ishta-kashta' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/sarvashtakavarga¶
Sarvashtakavarga (SAV)
Calculate Sarvashtakavarga (SAV) - combined strength using REAL data.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/sarvashtakavarga' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/shadbala¶
Shadbala (6-fold Strength)
Calculate Shadbala (6-fold strength) for all planets. Uses REAL birth data calculations.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/shadbala' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/shadbala-bphs¶
Classical Shadbala (6-fold Strength)
Calculate complete Shadbala using Classical Vedic formulas. Returns all 6 components with detailed breakdown.
Components: 1. Sthana Bala (Positional) - Uchcha, Saptavargaja, Ojhayugma, Kendradi, Drekkana 2. Dig Bala (Directional) 3. Kaala Bala (Temporal) - Nathonnatha, Paksha, Tribhaga, Varsha/Masa/Dina/Hora, Ayana 4. Cheshta Bala (Motional) 5. Naisargika Bala (Natural) - Fixed values 6. Drik Bala (Aspectual)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/shadbala-bphs' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/strength/vimsopaka¶
Vimsopaka Bala
Calculate Vimsopaka Bala using REAL varga positions.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/strength/vimsopaka' \
-H 'Authorization: Bearer <API_KEY>'